import React, { useContext } from 'react'
import { FetchContext } from '../../../store/fetch'
import styles from './no-automated-answer.module.css'
import { Spinner } from '../../icons'

const NoAutomatedAnswer = ({ question_id, error, isGenerating }) => {
  const { authAxios } = useContext(FetchContext)
  const { status, action, button, message } = error
  return (
    <div className={styles.no_automated_answer}>
      <h1 className={styles.title}>{message}</h1>
      {isGenerating ? (
        <Spinner className={styles.spinner} />
      ) : (
        <button className={styles.generate_btn}>{button}</button>
      )}
    </div>
  )
}

export default NoAutomatedAnswer
