import React, { useState } from 'react'
import AutomatedAnswerSwiper from '../automated-answer-swiper/AutomatedAnswerSwiper'
import BlogArticle from '../blog-article/BlogArticle'
import ShowHide from '../show-hide/ShowHide'
import styles from './BlogsWrapper.module.css'

const BlogsWrapper = ({ source, articles, resources }) => {
  const [show, setShow] = useState(false)
  return (
    <>
      {articles && articles.length > 0 ? (
        <>
          <h1 className={styles.h1}>
            Here {articles.length > 1 ? 'are' : 'is'} {articles.length} article
            {articles.length > 1 && 's'} I found on {source}
            <ShowHide show={show} onClick={() => setShow(!show)} />
          </h1>
          {show && (
            <div className={styles.blogs_wrapper}>
              <AutomatedAnswerSwiper>
                {articles.map((article, i) => {
                  return <BlogArticle key={i} article={article} />
                })}
              </AutomatedAnswerSwiper>
            </div>
          )}
        </>
      ) : (
        <h1>
          No {source} articles found for this question. Please refer the extra
          resouces to find more info
        </h1>
      )}
    </>
  )
}

export default BlogsWrapper
